# -*- coding: utf-8 -*-
#
from __future__ import print_function

from .__about__ import __author__, __email__, __license__, __version__, __status__

from . import helpers

from . import ball
from . import circle
from . import disk
from . import e1r
from . import e2r
from . import e3r
from . import enr
from . import e1r2
from . import e2r2
from . import e3r2
from . import enr2
from . import hexahedron
from . import line_segment
from . import nball
from . import ncube
from . import nsimplex
from . import pyramid
from . import quadrilateral
from . import sphere
from . import triangle
from . import tetrahedron
from . import wedge

from . import tools

__all__ = [
    "__author__",
    "__email__",
    "__license__",
    "__version__",
    "__status__",
    "helpers",
    "ball",
    "circle",
    "disk",
    "e1r",
    "e2r",
    "e3r",
    "enr",
    "e1r2",
    "e2r2",
    "e3r2",
    "enr2",
    "hexahedron",
    "line_segment",
    "nball",
    "ncube",
    "nsimplex",
    "pyramid",
    "quadrilateral",
    "sphere",
    "triangle",
    "tetrahedron",
    "wedge",
    "tools",
]

try:
    import pipdate
except ImportError:
    pass
else:
    if pipdate.needs_checking(__name__):
        print(pipdate.check(__name__, __version__), end="")
