# -*- coding: utf-8 -*-
#
from .chebyshev_gauss import ChebyshevGauss1, ChebyshevGauss2
from .clenshaw_curtis import ClenshawCurtis
from .fejer import Fejer1, Fejer2
from .gauss_jacobi import GaussJacobi
from .gauss_kronrod import GaussKronrod
from .gauss_legendre import GaussLegendre
from .gauss_lobatto import GaussLobatto
from .gauss_patterson import GaussPatterson
from .gauss_radau import GaussRadau
from .midpoint import Midpoint
from .newton_cotes import NewtonCotesOpen, NewtonCotesClosed
from .trapezoidal import Trapezoidal

from .tanh_sinh import tanh_sinh, tanh_sinh_lr

from .tools import integrate, integrate_split, integrate_adaptive, show, plot

__all__ = [
    "ChebyshevGauss1",
    "ChebyshevGauss2",
    "ClenshawCurtis",
    "Fejer1",
    "Fejer2",
    "GaussJacobi",
    "GaussKronrod",
    "GaussLegendre",
    "GaussLobatto",
    "GaussPatterson",
    "GaussRadau",
    "Midpoint",
    "NewtonCotesOpen",
    "NewtonCotesClosed",
    "Trapezoidal",
    "tanh_sinh",
    "tanh_sinh_lr",
    "integrate",
    "integrate_split",
    "integrate_adaptive",
    "show",
    "plot",
]
